Skip to content
CARP Docs
Ask AISystemLightDark

Create by document path

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/studies/{study-id}/collections/**

Create a document by its path e.g. .../collections/foo/bar/baz

bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

study-id*string
application/json
  1. body
integralNumber?boolean
missingNode?boolean
floatingPointNumber?boolean
nodeType?string
Value in"ARRAY""BINARY""BOOLEAN""MISSING""NULL""NUMBER""OBJECT""POJO""STRING"
string?boolean
textual?booleanDeprecated
boolean?boolean
binary?boolean
valueNode?boolean
container?boolean
object?boolean
pojo?boolean
short?boolean
int?boolean
long?boolean
double?boolean
bigDecimal?boolean
bigInteger?boolean
number?boolean
array?boolean
empty?boolean
null?boolean
float?boolean
embeddedValue?boolean

Response body

Created

response?stringapplication/json
Example request
curl -X POST 'https://dev.carp.dk/api/studies/string/collections/**' \  -H 'Content-Type: application/json' \  -d '{}'
Example response
"string"

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture